Bug 176647 - Can't login as local user if remote auth down, even though setup
Summary: Can't login as local user if remote auth down, even though setup
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: authconfig   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-28 13:55 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-02 21:25:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2005-12-28 13:55:05 UTC
1. Launch authconfig
2. Setup "Local authorisation is sufficient", and LDAP authentication
3. Try to login as a local user with the LDAP server down: doesn't work

/etc/pam.d/system-auth doesn't contain the line:
account     sufficient    /lib/security/$ISA/pam_localuser.so

Adding that line makes 3. work

Comment 1 Tomas Mraz 2006-01-02 21:25:09 UTC
The authconfig in RHEL 3 supports this only as command line option
--enablelocauthorize and I've verified again that it works fine.

Alternatively 'USELOCAUTHORIZE=yes' can be added to the
/etc/sysconfig/authconfig before running authconfig. Simply deleting the
USELOCAUTHORIZE=no line doesn't change anything.


Comment 2 Bastien Nocera 2006-01-03 15:26:52 UTC
My apologies, ran my tests on a RHEL4 system without realising. Thanks for the
pointer.


Note You need to log in before you can comment on or make changes to this bug.